using System;
using System.Web;
using System.Web.UI;
using System.Web.Services.Protocols;
using System.Web.SessionState;

public class WebServiceStaHandler :
    System.Web.UI.Page, IHttpAsyncHandler, IRequiresSessionState
{

    protected override void OnInit(EventArgs e)
    {
        IHttpHandler handler =
            new WebServiceHandlerFactory().GetHandler(
                this.Context,
                this.Context.Request.HttpMethod,
                this.Context.Request.FilePath,
                this.Context.Request.PhysicalPath);
        handler.ProcessRequest(this.Context);
        this.Context.ApplicationInstance.CompleteRequest();
    }


    public IAsyncResult BeginProcessRequest(
        HttpContext context, AsyncCallback cb, object extraData)
    {

        return this.AspCompatBeginProcessRequest(
            context, cb, extraData);
    }



    public void EndProcessRequest(IAsyncResult result)
    {
        this.AspCompatEndProcessRequest(result);
    }

}
