using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

using WebServiceClient.FoxWebService;
using System.Net;

namespace WebServiceClient
{
[ClassInterface(ClassInterfaceType.AutoDual)]
[ProgId("WebServiceClient.FoxWebServiceClient")]
public class FoxWebServiceClient
{
    /// <summary>
    /// An error message set when a method returns an error result       
    /// </summary>
    public string ErrorMessage
    {
        get { return _ErrorMessage; }
        set { _ErrorMessage = value; }
    }
    private string _ErrorMessage = "";

    public FoxWebService.FoxWebService Proxy
    {
        get 
        {
            if (this._Proxy == null)
            {
                this._Proxy = new FoxWebService.FoxWebService();
                //this._Proxy.Url = "http://localhost/FoxWebService/FoxWebService.asmx?WSDL";
                this._Proxy.Timeout = 10000;
            }
            
            return _Proxy; 
        }
        set { _Proxy = value; }
    }
    private FoxWebService.FoxWebService _Proxy = null;


    public string FoxServerStatus()
    {
        string Result = "";
        try
        {
            Result = this.Proxy.FoxServerStatus();
        }
        catch (Exception ex)
        {
            this.ErrorMessage = ex.Message;
        }

        return Result;
    }

    public DateTime GetServerTime()
    {
        return this.Proxy.GetServerTime();
    }

    /// <summary>
    /// Retrieve a complex Customer object back to client
    /// </summary>
    /// <returns></returns>
    public cCustomer GetCustomer()
    {
        cCustomer Customer = null;
        try
        {
            Customer = this.Proxy.GetCustomer();
        }
        catch (Exception ex)
        {
            this.ErrorMessage = ex.Message;
        }

        return Customer;
    }


}
}
